Revoke sessions
DELETE
/auth/session/{option}dev
https://api.sandbox.ovok.comThe Delete Session API endpoint revokes session(s) from the Ovok platform. The access and refresh tokens for the sessions(s) will be invalidated.
You can specify if you'd like to revoke all, current, other or a specific session by providing the session ID.
Example cURL request
curl -X DELETE \
--url 'https://api.dev.ovok.com/auth/session/other' \
-H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpYXQiOjE3NzkzNTA5NzEsImV4cCI6MTc3OTM1NDU3MX0.PO6ZkOtyOEugGyNuZUyg_YxUt3ozpJ_QOdJuriC14uY'
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
option | path | — | yes | Which sessions to revoke. Use current to revoke the calling session, other to revoke every session except the calling one, all to revoke every session, or a specific session UUID to revoke just that session. |
Responses
| Code | Description |
|---|---|
200 | Success. |
400 | The request could not be operated by the server. |
401 | The resource owner or authorization server denied the request. |
404 | The requested resource could not be found. |
422 | The request could not be validated by the server. |
500 | The server encountered an unexpected condition. Please try again later. |
200 → SessionsResponseDto (application/json)
sessions:object[](required)id:string(required)lastUpdated:string(required)authMethod:string(required)remoteAddress:string(required)browser:string(required)os:string(required)
Example
{
"sessions": [
{
"id": "4e5a2893-bdcc-7d23-9c1d-b72e4c4ffbe4",
"lastUpdated": {},
"authMethod": "password",
"remoteAddress": "192.168.1.1",
"browser": "Chrome",
"os": "Mac OS"
}
]
}